package com.xunhong.erp.turbo.file.infrastructure.exception;

import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传错误码
 */
public enum FileErrorCode implements ErrorCode {

	/**
	 * 获取OSS临时秘钥失败
	 */
	OSS_TOKEN_FAIL("OSS_TOKEN_FAIL", "获取OSS临时秘钥失败"),
	;


	private String code;

	private String message;

	FileErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}

	@Override
	public String getCode() {
		return this.code;
	}

	@Override
	public String getMessage() {
		return this.message;
	}
}
